using ReallifeGamemode.Server.Util;
using static ReallifeGamemode.Server.Util.AdminLevel;
using System;
using System.Collections.Generic;
using System.Text;

namespace ReallifeGamemode.Server.Extensions
{
    public static class EnumExtensions
    {
        /// <summary>
        /// Gibt den richtigen Namen eines Admin Levels zurück
        /// </summary>
        /// <param name="level">Das Admin Level, dessen Namen man bekommen möchte</param>
        /// <returns></returns>
        public static string GetName(this AdminLevel level)
        {
            switch (level)
            {
                case SUPPORTER:
                    return "Supporter";
                case ADMIN:
                case ADMIN2:
                case ADMIN3:
                    return "Admin";
                case HEADADMIN:
                    return "Headadmin";
                case PROJEKTLEITUNG:
                    return "Projektleiter";
                default:
                    return "Spieler";
            }
        }

        public static string GetName(this GroupRank rank)
        {
            switch(rank)
            {
                case GroupRank.OWNER:
                    return "Besitzer";
                case GroupRank.MANAGER:
                    return "Manager";
                case GroupRank.MEMBER:
                    return "Mitglied";
                default:
                    return "Keiner";
            }
        }
    }
}
